{
  stdenv
, lib
, fetchFromGitHub
, makeWrapper
, bash
, gnugrep 
, gnused
, jq
, curl
}:

stdenv.mkDerivation rec {
  pname = "lldap-cli";
  version = "unstable-2024-08-31";

  src = fetchFromGitHub {
    owner = "Zepmann";
    repo = "lldap-cli";
    rev = "6eb61cef179696633cafe080a018cd085d3c3f64";
    sha256 = "sha256-Jchj4vqlGWmjFtdMwZAnI4VyBh+/p6rgZrpA77xlSb4=";
  };

  buildInputs = [
    bash
    gnugrep
    gnused
    jq
    curl
  ];

  nativeBuildInputs = [
    makeWrapper
  ];

  installPhase = ''
    mkdir -p $out/bin
    cp lldap-cli $out/bin/lldap-cli
    wrapProgram $out/bin/lldap-cli \
      --prefix PATH : ${lib.makeBinPath buildInputs}
  '';
}
